Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## weblogic.security.service
Class JMSResource

    java.lang.Object
      weblogic.security.service.ResourceBase
          weblogic.security.service.JMSResource

All Implemented Interfaces:
  Serializable, Resource, SelfDescribingResource, SelfDescribingResourceV2

    public final class JMSResource

extends ResourceBase

The `JMSResource` class is used by a container to specify the JMS resource (and method related to the resource) that a caller is attempting to access.

The `toString` format (which is produced by the `ResourceBase` class) for a JMS resource deployed with an application where the module name is specified in the `weblogic-application.xml` descriptor is:
`type=<jms>, application=myApp, module=myModule, destType=queue, resource=myQueue, action=receive`

The `toString` format for a JMS system resource is:
`type=<jms>, application=mySystemResource, destType=queue, resource=myQueue, action=receive`

The `toString` format for a JMS resource that is part of the `interop-jms` resources is:
`type=<jms>, application=, destType=queue, resource=myQueue, action=receive`

See Also:
  Serialized Form

Field Summary

Fields inherited from class weblogic.security.service.ResourceBase
`id, length, NO_PARENT, parent, resStr, SCOPE_RESOURCE_ACTION, values`

Fields inherited from interface weblogic.security.spi.SelfDescribingResource
`LIST_FIELD_TYPE, NORMAL_FIELD_TYPE, PATH_FIELD_TYPE, UNDEFINED_FIELD_TYPE`

Constructor Summary
`JMSResource(String application, String destType, String resource, String action)` Deprecated. As of 06/17/04 (WLS 9.0), replaced with JMSResource(String,String,String,String,String)
`JMSResource(String application, String module, String destType, String resource, String action)` Constructs a new `JMSResource` with a target name composed from the `application`, `destType`, `resource`, and `action` parameters.

Method Summary
`boolean` | `equals(Object obj)` Compares this resource to the resource in the specified object.
`String` | `getActionName()` Gets the name of the action being requested on the `JMSResource`.
`String` | `getApplicationName()` Gets the name of the application associated with the `JMSResource`.
`String` | `getDestinationType()` Gets the type of the destination resource.
`String[]` | `getKeys()` Gets keys for the `JMSResource`.
`String` | `getModule()` Returns the name of the module associated with the `JMSResource`.
`int` | `getRepeatingFieldIndex()` `getRepeatingFieldIndex` returns an index into the array returned by `getKeys()` that signifies what part of the Resource's fields repeat as the hierarchy is traversed.
`int` | `getRepeatingFieldTerminatingIndex()` The field returned by `getRepeatingFieldIndex` is repeated as the Resource is shortened up to and including this field index.
`String` | `getResourceName()` Gets the name of the `JMSResource`.
`String` | `getType()` Gets the type of this resource (`JMSResource`).
`void` | `initialize(String application, String destType, String resource, String action)` Deprecated. As of 04/01/02, the constructor should be used instead.
`boolean` | `isTransitiveField(String fieldName)` Returns true when the specified field name is a transitive field.
`protected Resource` | `makeParent()` Gets a `Resource` object that represents the parent of the current `JMSResource`.
`protected void` | `writeResourceString(StringBuffer buf)` Writes a string representation of the resource to buffer.

Methods inherited from class weblogic.security.service.ResourceBase
`appendArrayValue, appendValue, getFieldType, getID, getParentResource, getValues, hashCode, init, init, reset, toString`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### JMSResource

    public JMSResource(String application,
                       String module,
                       String destType,
                       String resource,
                       String action)
                throws InvalidParameterException

  Constructs a new `JMSResource` with a target name composed from the `application`, `destType`, `resource`, and `action` parameters.

  Parameters:
    `application` - a String indicating the name of the application in which the resource is deployed, or the name of the system resource. A value of `null` indicates that the resource is part of the `interop-jms` resources.

    `module` - a String indicating the name of the module as it appears in the corresponding `<module>` element associated with the `weblogic-application.xml` deployment descriptor. A value of `null` indicates that the resource is deployed standalone or that the resource is part of the `interop-jms` resources.

    `destType` - a String indicating the type of the destination resource. Valid values for this parameter are restricted to the following:
    - `topic`
    - `queue`

    `resource` - a String representing the name of the JMS resource. If the value of the `destType` parameter is `topic`, then this parameter is the name of the topic. If the value of the `destType` parameter is `queue`, then this parameter is the name of the queue. A value of `null` indicates that the security policy for the resource pertains to all methods that match the other parameters of the resource specification, without consideration of the name of the destination on which they occur.

    `action` - a String representing the name of the action being requested on the resource. A value of `null` indicates that the security policy for the resource pertains to all actions that match the other parameters of the resource specification, without consideration for the action name. Valid values for this parameter are restricted to the following:
    - `send`
    - `receive`
    - `browse`

  Throws:
    `InvalidParameterException` - if the parameters are not specified.

### JMSResource

    public JMSResource(String application,
                       String destType,
                       String resource,
                       String action)
                throws InvalidParameterException

  Deprecated. As of 06/17/04 (WLS 9.0), replaced with JMSResource(String,String,String,String,String)

  Constructs a new JMSResource

  Parameters:
    `application` - Application name
    `destType` - Type of the destination resource
    `resource` - JMS resource
    `action` - Name of the action being requested on the resource
  Throws:
    `InvalidParameterException`

Method Detail

### initialize

    public void initialize(String application,
                           String destType,
                           String resource,
                           String action)

  Deprecated. As of 04/01/02, the constructor should be used instead.

  Replaces `application`, `destType`, `resource`, and `action` parameters of the resource with the specified values.

### getType

    public String getType()

  Gets the type of this resource (`JMSResource`).

  Returns:
    the type of this resource, represented as a String.

### makeParent

    protected Resource makeParent()

  Gets a `Resource` object that represents the parent of the current `JMSResource`. If the resource does not have a parent, the value of `null` must be returned.

  The parentage hierarchy for a system `JMSResource` is:

  `type=<jms>, application=mySystemResource, destinationType=queue, resource=myQueue, action=send
  type=<jms>, application=mySystemResource, destinationType=queue, resource=myQueue
  type=<jms>, application=mySystemResource, destinationType=queue, action=send
  type=<jms>, application=mySystemResource, destinationType=queue
  type=<jms>, application=mySystemResource, action=send
  type=<jms>, application=mySystemResource
  type=<app>, application=mySystemResource
  type=<jms>, action=send
  type=<jms>
  `

  Overrides:
    `makeParent` in class `ResourceBase`
  Returns:
    the `Resource` object of the parent resource.

### getRepeatingFieldIndex

    public int getRepeatingFieldIndex()

  Description copied from interface: `SelfDescribingResource`
  `getRepeatingFieldIndex` returns an index into the array returned by `getKeys()` that signifies what part of the Resource's fields repeat as the hierarchy is traversed. For example, in the `URLResource`, the `httpMethod` is repeated as the hierarchy is walked. A value of `-1` indicates that there are no repeating fields.

  Specified by:
    `getRepeatingFieldIndex` in interface `SelfDescribingResource`
  Overrides:
    `getRepeatingFieldIndex` in class `ResourceBase`
  Returns:
    the index of the repeating fields or -1 if none

### getRepeatingFieldTerminatingIndex

    public int getRepeatingFieldTerminatingIndex()

  Description copied from interface: `SelfDescribingResource`
  The field returned by `getRepeatingFieldIndex` is repeated as the Resource is shortened up to and including this field index. After this field index the repetition is no longer applied.

  Specified by:
    `getRepeatingFieldTerminatingIndex` in interface `SelfDescribingResource`
  Overrides:
    `getRepeatingFieldTerminatingIndex` in class `ResourceBase`
  Returns:
    an `int` describing the terminating index or `getKeys().length` if none

### isTransitiveField

    public boolean isTransitiveField(String fieldName)

  Description copied from interface: `SelfDescribingResourceV2`
  Returns true when the specified field name is a transitive field. When the transitive field value is null the field name is not included into the resource id.

  Specified by:
    `isTransitiveField` in interface `SelfDescribingResourceV2`
  Overrides:
    `isTransitiveField` in class `ResourceBase`

### getKeys

    public String[] getKeys()

  Gets keys for the `JMSResource`.

  Specified by:
    `getKeys` in interface `Resource`
  Specified by:
    `getKeys` in class `ResourceBase`
  Returns:
    an array of Strings containing the `JMSResource`'s keys.

### getDestinationType

    public String getDestinationType()

  Gets the type of the destination resource.

  Returns:
    the type of the destination resource, represented as a String.

### getResourceName

    public String getResourceName()

  Gets the name of the `JMSResource`.

  Returns:
    the name of the `JMSResource`, represented as a String.

### getActionName

    public String getActionName()

  Gets the name of the action being requested on the `JMSResource`.

  Returns:
    the action being requested on the `JMSResource`, represented as a String.

### getApplicationName

    public String getApplicationName()

  Gets the name of the application associated with the `JMSResource`.

  Returns:
    the name of the application associated with the `JMSResource`, represented as a String.

### getModule

    public String getModule()

  Returns the name of the module associated with the `JMSResource`.

  Returns:
    the name of the module associated with the `JMSResource`.

### writeResourceString

    protected void writeResourceString(StringBuffer buf)

  Writes a string representation of the resource to buffer.

  Each type of resource is first printed in angled brackets. Then, each key is printed, in order, along with it's value. The keys are comma-separated. Values that are lists are comma-separated and delineated by open and close curly braces. Each value is printed as is, except that commas (,), open braces ({), close braces (}), and back slashes (\) are each escaped with a backslash.

  Note: Because this method produces a result based on the concatenation of strings, it may be expensive in terms of performance.

  Overrides:
    `writeResourceString` in class `ResourceBase`
  Parameters:
    `buf` - buffer to write to.

### equals

    public boolean equals(Object obj)

  Compares this resource to the resource in the specified object.

  Specified by:
    `equals` in interface `Resource`
  Overrides:
    `equals` in class `ResourceBase`
  Parameters:
    `obj` - the other resource with which to compare this resource.

  Returns:
    `TRUE` if the resource passed in matches this resource, and `FALSE` otherwise.

  See Also:
    `Object.equals(Object)`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs92 Copyright 2006 BEA Systems Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD